com.qualcomm.robotcore.hardware

## Enum Servo.Direction

- java.lang.Object
- - java.lang.Enum<Servo.Direction>
  - - com.qualcomm.robotcore.hardware.Servo.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Servo.Direction>
  Enclosing interface:
    Servo

      public static enum Servo.Direction
      extends java.lang.Enum<Servo.Direction>

  Servos can be configured to internally reverse the values to which their positioning power is set. This makes it easy, e.g., to have cooperating servos on two sides of a robot arm: one would be set at at forward, the other at reverse, and the difference between the two in that respect could be thereafter ignored.

  At the start of an OpMode, servos are guaranteed to be in the forward direction.

  See Also:
    `Servo.setDirection(Direction)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORWARD`
    `REVERSE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Servo.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Servo.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD

          public static final Servo.Direction FORWARD

    - #### REVERSE

          public static final Servo.Direction REVERSE

  - ### Method Detail

    - #### values

          public static Servo.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Servo.Direction c : Servo.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Servo.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null